import theater.*;


public class Raum extends Stage {
    public Raum() {
        super(400, 400, 1);

        Tisch tisch = new Tisch();
        this.add(tisch, 200, 200);

        Gabel g1 = new Gabel();
        g1.setRotation(155);
        this.add(g1, 160, 145);

        Gabel g2 = new Gabel();
        g2.setRotation(80);
        this.add(g2, 135, 215);

        Gabel g3 = new Gabel();
        g3.setRotation(10);
        this.add(g3, 200, 270);

        Gabel g4 = new Gabel();
        g4.setRotation(290);
        this.add(g4, 265, 215);

        Gabel g5 = new Gabel(true);
        g5.setRotation(220);
        this.add(g5, 240, 145);

        Philosoph p1 = new Philosoph(g5, g1);
        p1.setName("p1");
        p1.setRotation(0);
        this.add(p1, 200, 60);

        Philosoph p2 = new Philosoph(g1, g2);
        p2.setName("p2");
        p2.setRotation(280);
        this.add(p2, 60, 170);

        Philosoph p3 = new Philosoph(g2, g3);
        p3.setName("p3");
        p3.setRotation(216);
        this.add(p3, 125, 320);

        Philosoph p4 = new Philosoph(g3, g4);
        p4.setName("p4");
        p4.setRotation(140);
        this.add(p4, 300, 305);

        Philosoph p5 = new Philosoph(g4, g5);
        p5.setName("p5");
        p5.setRotation(70);
        this.add(p5, 335, 150);
    }
}
