import theater.*;

import java.util.List;


public class Weltraum extends Stage {
    public Weltraum() {
        // Buehne entspricht Groesse des Bildes, Zellen 1 Pixel
        super(560, 400, 1);
        // Zuordnung des Hintergrundbildes
        setBackground("weltraum.gif");
    }

    public void mousePressed(MouseInfo info) {
        // bei Mausklick auf Buehne wird allen Raumschiffe wieder die
        // Standard-Thread-Prioritaet zugeordnet
        List<Component> schiffe = getComponents(Raumschiff.class);

        for (Component raumschiff : schiffe)
            raumschiff.setPriority(Thread.NORM_PRIORITY);
    }
}
