import theater.*;


public class Gabel extends Prop {
    private boolean verfuegbar;
    private boolean istVergoldet;

    Gabel() {
        this(false);
    }

    Gabel(boolean istVergoldet) {
        if (istVergoldet) {
            this.setImage("GoldGabel.gif");
        } else {
            this.setImage("Gabel.gif");
        }

        this.istVergoldet = istVergoldet;
        this.verfuegbar = true;
    }

    synchronized void aufnehmen(Philosoph p) {
        while (!this.verfuegbar) {
            try {
                this.wait();
            } catch (Exception e) {
            }
        }

        this.verfuegbar = false;
    }

    synchronized void ablegen() {
        this.verfuegbar = true;
        this.notify(); // Nachbarn informieren
    }

    boolean istVergoldet() {
        return this.istVergoldet;
    }
}
